BrewForge Docs
ApiV1ProfilesEquipment

Create equipment profile

POST
/api/v1/profiles/equipment

Authorization

bearerAuth
AuthorizationBearer <token>

API token in format: bfk_

In: header

Request Body

application/json

name*string

Profile name

Length1 <= length <= 200
description?|
Lengthlength <= 2000
isDefault?boolean
batchVolume*number

Target batch volume in liters (L)

Range0 < value
batchVolumeReference?string
Value in"fermenter" | "kettle"
boilTime?integer
Range0 <= value
preBoilVolume?|
boilOffRate?number
Range0 <= value
boilOffRateMode?string
Value in"volume" | "percentage"
trubChillerLoss?|
Range0 <= value
mashTunDeadSpace?|
Range0 <= value
mashTunLoss?|
Range0 <= value
fermenterLoss?|
Range0 <= value
hltDeadSpace?|
Range0 <= value
fermenterTopUp?|
Range0 <= value
brewHouseEfficiency?number
Range0 <= value <= 100
mashEfficiency?|
Range0 <= value <= 100
efficiencyDisplay?string
Value in"brewhouse" | "mash"
hopUtilization?|
Range0 <= value
mashTunMaxVolume?|
kettleMaxVolume?|
grainAbsorptionRate?|
waterToGrainRatio?|
calculationMethod?string
Value in"default" | "batch_sparge" | "no_sparge" | "custom"
mashWaterMin?|
mashWaterMax?|
spargeWaterMin?|
spargeWaterMax?|
includeGrainVolume?boolean
overflowTarget?string
Value in"top_up" | "mash"
altitude?|
boilTemperature?|
hopstandTemperature?|
hopstandDuration?|
Range0 <= value
grainTemperature?|
mashTunHeatCapacity?|
Range0 <= value
coolingShrinkage?|
Range0 <= value
calculateStrikeTemp?boolean
spargeTemperature?|

Response Body

application/json

application/json

application/json

curl -X POST "https://brewforge.sh/api/v1/profiles/equipment" \  -H "Content-Type: application/json" \  -d '{    "name": "My BIAB Setup",    "batchVolume": 20  }'
{
  "id": "string",
  "name": "My Brew Kettle",
  "description": "string",
  "isDefault": true,
  "batchVolume": 20,
  "batchVolumeReference": "fermenter",
  "boilTime": 60,
  "preBoilVolume": 0,
  "boilOffRate": 4,
  "boilOffRateMode": "volume",
  "trubChillerLoss": 0,
  "mashTunDeadSpace": 0,
  "mashTunLoss": 0,
  "fermenterLoss": 0,
  "hltDeadSpace": 0,
  "fermenterTopUp": 0,
  "brewHouseEfficiency": 72,
  "mashEfficiency": 0,
  "efficiencyDisplay": "brewhouse",
  "hopUtilization": 0,
  "mashTunMaxVolume": 0,
  "kettleMaxVolume": 0,
  "grainAbsorptionRate": 0,
  "waterToGrainRatio": 0,
  "calculationMethod": "default",
  "mashWaterMin": 0,
  "mashWaterMax": 0,
  "spargeWaterMin": 0,
  "spargeWaterMax": 0,
  "includeGrainVolume": true,
  "overflowTarget": "top_up",
  "altitude": 0,
  "boilTemperature": 0,
  "hopstandTemperature": 0,
  "hopstandDuration": 0,
  "grainTemperature": 0,
  "mashTunHeatCapacity": 0,
  "coolingShrinkage": 0,
  "calculateStrikeTemp": true,
  "spargeTemperature": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}